# gcp::NewFileDlg Class Reference

`#include <gcp/newfiledlg.h>`

Inheritance diagram for gcp::NewFileDlg:

List of all members.

## Public Member Functions

| NewFileDlg (Application *App)
virtual | ~NewFileDlg ()
bool | Apply ()
void | OnThemeNamesChanged ()
void | SetTheme (Theme *val)
Theme * | GetTheme (void) const
Theme *& | GetRefTheme (void)

## Detailed Description

The dialog class for creating new files with a given theme.

Definition at line 40 of file newfiledlg.h.

## Constructor & Destructor Documentation

gcp::NewFileDlg::NewFileDlg | ( | Application * | App | ) |

Parameters:

  | App | the application which will own the new file.

virtual gcp::NewFileDlg::~NewFileDlg | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

bool gcp::NewFileDlg::Apply | ( |  | ) | `[virtual]`

Called by the framework when the user validates its choice, and creates the new file.

Reimplemented from gcu::Dialog.

void gcp::NewFileDlg::OnThemeNamesChanged | ( |  | ) |

Called by the framework when the theme names have changed, which might happen if the user edits the preference when this dialog is opened.

gcp::NewFileDlg::SetTheme | ( | Theme * | theme | ) | `[inline]`

Parameters:

  | theme | the newly selected theme.

Sets the selected theme when the selection in the list has changed. This method should not be called from elsewhere.

Definition at line 80 of file newfiledlg.h.

gcp::NewFileDlg::GetTheme | ( | void |  | ) | const`[inline]`

Returns:
  the currently selected theme.

Definition at line 80 of file newfiledlg.h.

gcp::NewFileDlg::GetRefTheme | ( | void |  | ) | `[inline]`

Returns:
  the currently selected theme as a reference.

Definition at line 80 of file newfiledlg.h.

The documentation for this class was generated from the following file:

- newfiledlg.h